Last Comment Bug 603095 - Accept middle-click for new tab button
: Accept middle-click for new tab button
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b2
Assigned To: Philip Chee
:
:
Mentors:
Depends on: 529240
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-09 09:17 PDT by Philip Chee
Modified: 2010-10-10 21:23 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed Patch v1.0 (3.39 KB, patch)
2010-10-09 09:23 PDT, Philip Chee
neil: review+
neil: superreview+
Details | Diff | Splinter Review

Description Philip Chee 2010-10-09 09:17:23 PDT
From Firefox Bug 565772:

> Alexander Limi (:limi) — Firefox UX Team      2010-05-13 15:18:42 PDT
> 
> (Note: this is filed as part of the “Paper Cut” bugs — we assume that there may
> be multiple existing bugs on this. Please make them block this bug, and we will
> de-dupe if they are indeed exactly the same. Thanks!)
> 
> People that are in the habit of using the middle-click button to open pages in
> new tabs often get their brains trained to use that button on elements that
> aren't really middle-clickable. In general this is ok — but in the case of the
> "New Tab" tab, it should be supported.
> 
> Recommendation:
> When middle-clicking the "New Tab" tab, open a new tab. :)
Comment 1 Philip Chee 2010-10-09 09:23:11 PDT
Created attachment 482051 [details] [diff] [review]
Proposed Patch v1.0
Comment 2 Philip Chee 2010-10-10 21:20:05 PDT
Pushed to comm-central
http://hg.mozilla.org/comm-central/rev/e957ea752a74

Note You need to log in before you can comment on or make changes to this bug.